/*
 * fan.c
 *
 *  Created on: May 30, 2019
 *      Author: clayrosenthal and clayfroelich
 */

#include "fan.h"
#include "msp.h"
#include "delay.h"


void fan_init()
{
    //_enable_irq();
    P6->SEL0 |= BIT7;      // Configure P6.7 for TimerA2.4
    P6->SEL1 &= ~(BIT7);
    P6->DIR |= BIT7;       // P6.7 output for TA2.4

    TIMER_A2->CCR[0] = 32765;               // PWM Period
    TIMER_A2->CCTL[4] = TIMER_A_CCTLN_OUTMOD_7; // CCR1 reset/set
    TIMER_A2->CCR[4] = 1;                   // CCR1 PWM duty cycle 24574 = 75 %
    TIMER_A2->CTL = TIMER_A_CTL_SSEL__ACLK |    // ACLK
                    TIMER_A_CTL_MC__UP |                // Up mode
                    TIMER_A_CTL_CLR;                    // Clear TAR
}

void set_speed(int speed)
{
    TIMER_A2->CCR[4] = speed;
}
